Subject: RE: [Ipoverib] IPoIB-RC and Checksums

From: Dror Goldenberg <[email-masked]>
Date: Sat, 20 Nov 2004 18:49:09 +0200

> -----Original Message-----
> From: Bill Strahm [mailto:[email-masked]] 
> Sent: Friday, November 19, 2004 1:11 AM
> 
> On Thu, 2004-11-18 at 22:18 +0200, Yaron Haviv wrote:

> > P.S. another note, we discussed in IETF was that we may want to 
> > mention/suggest (not mandate) use of SRQ for IPoIB-RC in order to 
> > preserve memory
> > 
> Again, in the spirit of Wire protocol vs. Implementation.  I 
> think this is an implementation issue that will not change 
> wire protocols at all. Is there a point where using SRQ vs. 
> Not Using SRQ would have to change the wire protocol ?
> 
> If not - lets not say anything.
> If there is - I would be very interested in understanding.

Subtle difference:
In UC, I don't believe that there is a difference.
In RC, the ACKs will be sent with valid end to end credits by the responder
HCA if it's connected to a regular QP, and with invalid end to end credits
if 
the QP is connected to a SRQ.
This can be observed on the wire with an analyzer. However, it never
propagates to the SW above the IB verbs.

-Dror

> 
> Bill
> 
> 
> _______________________________________________
> IPoverIB mailing list
> [email-masked] https://www1.ietf.org/mailman/listinfo/ipoverib
> 
_______________________________________________
IPoverIB mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipoverib